package StructuralClass;


import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class ChannelInsertInfo extends JceStruct {
    public String id;
    public long insertTime;
    public int position;

    public ChannelInsertInfo() {
        super();
        this.id = "";
        this.position = 0;
        this.insertTime = 0;
    }

    public ChannelInsertInfo(String arg4, int arg5, long arg6) {
        super();
        this.id = "";
        this.position = 0;
        this.insertTime = 0;
        this.id = arg4;
        this.position = arg5;
        this.insertTime = arg6;
    }

    public final void readFrom(c arg5) {
        this.id = arg5.b(0, true);
        this.position = arg5.a(this.position, 1, true);
        this.insertTime = arg5.a(this.insertTime, 2, false);
    }

    public final void writeTo(d arg4) {
        arg4.a(this.id, 0);
        arg4.a(this.position, 1);
        arg4.a(this.insertTime, 2);
    }
}
